org.keycloak.cluster.infinispan

## Class WrapperClusterEvent

- java.lang.Object
- - org.keycloak.cluster.infinispan.WrapperClusterEvent

- All Implemented Interfaces:
    Serializable, ClusterEvent

      @SerializeWith(value=WrapperClusterEvent.ExternalizerImpl.class)
      public class WrapperClusterEvent
      extends Object
      implements ClusterEvent

  Author:
    Marek Posolda
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WrapperClusterEvent.ExternalizerImpl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WrapperClusterEvent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `ClusterEvent` | `getDelegateEvent()`
    `String` | `getEventKey()`
    `String` | `getSender()`
    `String` | `getSenderSite()`
    `int` | `hashCode()`
    `boolean` | `isIgnoreSender()`
    `boolean` | `isIgnoreSenderSite()`
    `void` | `setDelegateEvent(ClusterEvent delegateEvent)`
    `void` | `setEventKey(String eventKey)`
    `void` | `setIgnoreSender(boolean ignoreSender)`
    `void` | `setIgnoreSenderSite(boolean ignoreSenderSite)`
    `void` | `setSender(String sender)`
    `void` | `setSenderSite(String senderSite)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WrapperClusterEvent

          public WrapperClusterEvent()

  - ### Method Detail

    - #### getEventKey

          public String getEventKey()

    - #### setEventKey

          public void setEventKey(String eventKey)

    - #### getSender

          public String getSender()

    - #### setSender

          public void setSender(String sender)

    - #### getSenderSite

          public String getSenderSite()

    - #### setSenderSite

          public void setSenderSite(String senderSite)

    - #### isIgnoreSender

          public boolean isIgnoreSender()

    - #### setIgnoreSender

          public void setIgnoreSender(boolean ignoreSender)

    - #### isIgnoreSenderSite

          public boolean isIgnoreSenderSite()

    - #### setIgnoreSenderSite

          public void setIgnoreSenderSite(boolean ignoreSenderSite)

    - #### getDelegateEvent

          public ClusterEvent getDelegateEvent()

    - #### setDelegateEvent

          public void setDelegateEvent(ClusterEvent delegateEvent)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.